OPTION   CHIP8          ; Specify Chip-8 as target mode
OPTION BINARY   ; We want a binary file, not an HP48 one.
ALIGN OFF       ; And we don't want auto alignement, as some
                ; data can be made of bytes instead of words.
FF:
	LD V1,0
KS:
	LD V2,0 ; loop for key
WK:
        LD V0,V2 ; wait for key
        SKNP V0  ; Skip next instruction if key with the value of V0 is not pressed
        JP  DRL

	ADD V2,1
	SE V2,16
	JP WK
	JP KS

DRL: SKNP V0
	JP DRL
	CLS
   ;load address of sprite for hundreds digit into I
    LD F,V0
    DRW V1, V1, 5   ; And we draw the bitmap at V1, V1. 5 lines
 JP FF